org.jboss.logmanager.handlers

## Class UncloseableWriter

- java.lang.Object
- - java.io.Writer
  - - org.jboss.logmanager.handlers.UncloseableWriter

All Implemented Interfaces:
  Closeable, Flushable, Appendable, AutoCloseable

    public final class UncloseableWriter
    extends Writer

An output stream wrapper which drops calls to the `close()` method.

### Field Summary

### Fields inherited from class java.io.Writer

`lock`

### Constructor Summary

Constructors
Constructor and Description
`UncloseableWriter(Writer delegate)`

### Method Summary

Methods
`Writer` `append(char c)`
`Writer` `append(CharSequence csq)`
`Writer` `append(CharSequence csq, int start, int end)`
`void` `close()`
`void` `flush()`
`void` `write(char[] cbuf)`
`void` `write(char[] cbuf, int off, int len)`
`void` `write(int c)`
`void` `write(String str)`
`void` `write(String str, int off, int len)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UncloseableWriter

    public UncloseableWriter(Writer delegate)

### Method Detail

#### write

    public void write(int c)
               throws IOException

Overrides:
  `write` in class `Writer`
Throws:
  `IOException`

#### write

    public void write(char[] cbuf)
               throws IOException

Overrides:
  `write` in class `Writer`
Throws:
  `IOException`

#### write

    public void write(char[] cbuf,
             int off,
             int len)
               throws IOException

Specified by:
  `write` in class `Writer`
Throws:
  `IOException`

#### write

    public void write(String str)
               throws IOException

Overrides:
  `write` in class `Writer`
Throws:
  `IOException`

#### write

    public void write(String str,
             int off,
             int len)
               throws IOException

Overrides:
  `write` in class `Writer`
Throws:
  `IOException`

#### append

    public Writer append(CharSequence csq)
                  throws IOException

Specified by:
  `append` in interface `Appendable`
Overrides:
  `append` in class `Writer`
Throws:
  `IOException`

#### append

    public Writer append(CharSequence csq,
                int start,
                int end)
                  throws IOException

Specified by:
  `append` in interface `Appendable`
Overrides:
  `append` in class `Writer`
Throws:
  `IOException`

#### append

    public Writer append(char c)
                  throws IOException

Specified by:
  `append` in interface `Appendable`
Overrides:
  `append` in class `Writer`
Throws:
  `IOException`

#### flush

    public void flush()
               throws IOException

Specified by:
  `flush` in interface `Flushable`
Specified by:
  `flush` in class `Writer`
Throws:
  `IOException`

#### close

    public void close()

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in class `Writer`